Subject: Re: [PATCH] Restore PCI IO space behind Freescale pseudo-bridge

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 28 Jan 2009 20:31:12 +1100

> > We are using the patch I emailed.  It's ugly in that it hard-codes the
> > Freescale vendor ID, but it works for us.
> 
> I guess I'm confused what the actual breakage is beyond some printk  
> messages.
> 
> We "fixup" the resources in fsl_pcibios_fixup_bus() so Ben's change  
> shouldn't have an impact.  Does something actually stop functioning?

I think the problem comes from my patch that "detects" closed bridge
windows, which uses the PCI_COMMAND register as a clue, and it seems
that your bridges don't properly support IO enable in there..

Ben.